#SSMI 1.0
#Simple Service Menu Installer
#
#Yery Tannus <ytannus@mulasystems.com>
#
destdir="/share/apps/konqueror/servicemenus"
title="KDE Simple Service Menu Installer"
filename=`kdialog --title "$title" --getopenfilename $HOME *.desktop`
if [ $? = 0 ]; then
	if [ -f $filename ]; then
		option=`kdialog --title "$title" --menu "Installation scope:" l "Local" g "Global"`
		if [ $option = 'l' ]; then
			destdir=$HOME/.kde/$destdir
		fi
		if [ $option = 'g' ]; then
			destdir=`kde-config --prefix`/$destdir
		fi

		if [ -f $directory ]; then
			if [ `id -u` != "0" ]; then
				kdesu -c "cp $filename $destdir"
			else
				cp $filename $destdir
			fi
			kdialog --title "$title" --msgbox "KDE Servicemenu is installed!!!"
		else
			kdialog --title "$title" --error "Cannot open directory: $directory"
		fi
	else
		kdialog --title "$title" --error "Cannot open filename: $filename"
	fi
else
	kdialog --title "$title" --error "No file is selected"
fi
exit
